# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "barnaby/version"

Gem::Specification.new do |spec|
  spec.name          = "barnaby"
  spec.version       = Barnaby::VERSION
  spec.authors       = ["Garry Pettet"]
  spec.email         = ["contact@garrypettet.com"]

  spec.summary       = "Core functionality for the Barnaby project."
  spec.description   = "Provides the core classes required for the correct functioning of the Barnaby project."
  spec.homepage      = "https://github.com/BarnabyAI/barnaby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "natter", "~> 0.0"

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
end
